ManualPartDesign/it

From FreeCAD Documentation
Revision as of 22:48, 18 November 2013 by Renatorivo (talk | contribs)
Jump to: navigation, search

Guida ai comandi di FreeCAD

Questo è la guida ai comandi di FreeCAD. Comprende le pagine del Wiki della documentazione di FreeCAD che si riferiscono ai comandi. Questa versione è stata creata principalmente per essere stampata come un unico grande documento o per consentire una panoramica veloce sulle pagine dei comandi. Se si sta leggendo questo online, si consiglia di andare direttamente alla Guida in linea, che è più facile da esplorare.

Ambiente PartDesign: Strumenti di costruzione

Arrow-left.svg PartDesign Clone.png Crea un clone Pagina precedente:
Pagina successiva: Rivoluzione PartDesign Revolution.png Arrow-right.svg

PartDesign Pad.svg Pad

Posizione nel menu
PartDesign → Pad
Ambiente
PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Contents


Descrizione

Questo strumento usa uno schizzo come input per produrre un Pad. Un Pad è sostanzialmente una protuberanza realizzata estrudendo uno schizzo di base. Questa denominazione viene utilizzata per distinguere le operazioni realizzate con questo strumento da quelle realizzate con lo strumento "Estrusione" di Part.

A partire dalla v0.17, è possibile utilizzare anche le facce di un solido.

PartDesign Pad example.svg

A sinistra è mostrato lo Schizzo (A); a destra il risultato finale dopo l'operazione pad (B).

version 0.16 e sotto Se lo schizzo selezionato viene mappato sulla faccia di un solido o di un oggetto di PartDesign esistente, il pad sarà fuso con esso.

Utilizzo

  1. Selezionare lo schizzo da estrudere, a cui applicare l'operazione Pad. In v0.17 e superiore, come alternativa, può essere usata una faccia di un solido esistente.
  2. Premere il pulsante PartDesign Pad.png Pad.
  3. Impostare i parametri Pad (Prisma) (vedere sotto).
  4. Cliccare su OK.

Opzioni

Quando si crea una estrusione, la finestra di dialogo "Parametri Prisma" offre cinque diversi modi per specificare la lunghezza della estrusione:

Pad parameters cropped it.png

Tipo

Tipo offre cinque diversi modi per specificare la lunghezza a cui il pad viene estruso.

Quota

Inserire un valore numerico per la lunghezza del pad. La direzione predefinita per l'estrusione è "all'esterno del supporto", ma può essere invertita contrassegnando l'opzione Invertito. Le estrusioni sono realizzate normali al piano dello schizzo. Con l'opzione Simmetrico al piano il pad viene esteso per metà della lunghezza data su entrambi i lati del piano di schizzo. Le dimensioni negative non sono possibili. In sostituzione utilizzare l'opzione Invertito.

Due dimensioni

Questo consente di inserire una seconda lunghezza per estendere il pad in direzioni opposte (nel supporto). Anche in questo caso la direzione può essere modificata barrando l'opzione Invertito. (ndt nel caso Invertito non funzioni, come succede a me, è possibile scambiare i valori inseriti nei campi della lunghezza).

Fino all'ultimo

Il pad viene estruso fino all'ultima faccia del supporto nella direzione di estrusione. Se non vi è alcun supporto, viene visualizzato un messaggio di errore.

Fino al primo

Il pad viene estruso fino alla prima faccia del supporto nella direzione di estrusione. Se non vi è alcun supporto, viene visualizzato un messaggio di errore.

Fino alla faccia

Il pad viene estruso nel supporto fino a una faccia che può essere scelta facendo clic su di essa. Se non vi è alcun supporto, non viene accettata nessuna.

Lunghezza

Definisce la lunghezza del pad. Si possono utilizzare diverse unità di misura, indipendentemente dalle unità definite nelle preferenze dell'utente (m, cm, mm, nm, ft oppure ', in oppure ").

Simmetrico al piano

Estende la lunghezza data su entrambi i lati del piano di schizzo, simmetricamente al piano dello schizzo, metà per parte.

Invertito

Inverte la direzione dell'estrusione (Pad).

Proprietà

  • DATIRefine: v0.17 e sotto vero o falso. Pulisce i bordi residui rimasti dopo l'operazione. Questa proprietà viene inizialmente impostata in base alle impostazioni dell'utente (disponibile in "Preferenze → Part Design → Generale → Impostazioni del modello"). In seguito può essere modificata manualmente. Questa proprietà viene salvata con il documento di FreeCAD.

Limitazioni

  • Come tutte le funzioni di Part Design, Pad crea un solido, quindi lo schizzo deve includere un profilo chiuso o l'operazione fallisce con un errore Impossibile convalidare la faccia guasta. Possono esserci più profili racchiusi all'interno di uno più grande, a condizione che nessuno si intersechi l'un l'altro (ad esempio, un rettangolo con due cerchi al suo interno).
  • L'algoritmo utilizzato per Fino al primo e Fino all'ultimo è:
    • Creare una linea attraverso il centro di gravità del disegno
    • Trovare tutte le facce del supporto attraversate da questa linea
    • Scegliere la faccia in cui il punto di intersezione è più vicino o più lontano dal disegno
Questo significa che la faccia trovata potrebbe anche non essere quella attesa. Se succede questo, utilizzare il tipo Fino alla faccia e scegliere la faccia desiderata.
Nel caso speciale di estrusione di una superficie concava, in cui il disegno è più grande di questa superficie, l'estrusione fallisce. Questo è un bug irrisolto
  • version 0.16 e sotto Non c'è la pulizia automatica, ad esempio di superfici planari adiacenti in una singola superficie. È possibile risolvere questo manualmente nell'ambiente Parte con Affina la forma (che crea un solido non collegato, e non parametrico) o con Affina forma di OpenSCAD che crea una funzione parametrica.
Arrow-left.svg PartDesign Clone.png Crea un clone Pagina precedente:
Pagina successiva: Rivoluzione PartDesign Revolution.png Arrow-right.svg


Arrow-left.svg PartDesign AdditiveWedge.png Cuneo additivo Pagina precedente:
Pagina successiva: Foro PartDesign Hole.png Arrow-right.svg

PartDesign Pocket.svg Tasca

Posizione nel menu
PartDesign → Tasca
Ambiente
PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

Lo strumento Tasca scava un solido estrudendo uno schizzo, o una faccia di un solido, in un percorso rettilineo e sottraendolo dal solido.

PartDesign Pocket example.svg

A sinistra lo schizzo del profilo (A) è mappato sulla faccia superiore del solido di base (B); a destra il risultato della tasca.

Utilizzo

  1. Selezionare lo schizzo da usare per lo scavo.
    v0.16 e precedenti Lo schizzo selezionato deve essere mappato su una faccia planare di un solido esistente o su un oggetto Part Design, altrimenti si riceve un messaggio di errore.
  2. Premere il pulsante PartDesign Pocket.png Pocket.
  3. Impostare i parametri Pocket (vedere successiva sezione).
  4. Cliccare OK.

Opzioni

Pocket options it.png

Quando si crea una cavità, la finestra di dialogo Parametri Tasca offre quattro diversi modi per specificare la lunghezza (profondità) di estrusione dello scavo:

Quota

Inserire un valore numerico per la profondità della tasca. La direzione di default per l'estrusione è verso l'interno del supporto. Le estrusioni si realizzano normali al piano di definizione dello schizzo.

Le quote negative non sono possibili. Al suo posto usare invece l'opzione Invertita.

Fino al primo

La tasca viene prodotta fino alla prima faccia del supporto nella direzione di estrusione. In altre parole, viene asportato tutto il materiale fino a raggiungere uno spazio vuoto.

Attraverso tutto

La tasca scava attraverso tutto il materiale nella direzione di estrusione. Quando si attiva l'opzione Simmetrico al piano lo scavo viene prodotto attraverso tutto il materiale in entrambe le direzioni.

Fino alla faccia

La tasca si estrude fino a una faccia del supporto che può essere scelta facendo clic su di essa.

Due dimensioni

v0.17 e superiori Questo permette di inserire una seconda lunghezza per estendere il pad nella direzione opposta (nel supporto). Anche questa può essere cambiata spuntando l'opzione Invertita.


Limitazioni

  • Quando è possibile utilizzare il tipo Quota oppure Attraverso tutto perché gli altri tipi a volte danno problemi quando essi vengono utilizzati per essere replicati in schiere.
  • Inoltre, la funzione tasca ha le stesse limitazioni della funzione Pad.

Link utili

Un esempio di applicazione pratica nel forum.


Arrow-left.svg PartDesign AdditiveWedge.png Cuneo additivo Pagina precedente:
Pagina successiva: Foro PartDesign Hole.png Arrow-right.svg
PartDesign Revolve/it


Arrow-left.svg PartDesign Hole.png Foro Pagina precedente:
Pagina successiva: Loft sottrattivo PartDesign SubtractiveLoft.png Arrow-right.svg

PartDesign Groove.svg Scanalatura

Posizione nel menu
PartDesign → Scanalatura
Ambiente
PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Rivoluzione


Descrizione

Questo strumento rivoluziona uno schizzo selezionato o un oggetto 2D attorno ad un dato asse, asportando del materiale dall'oggetto di supporto.

PartDesign Groove example.svg

A sinistra lo schizzo (A) è ruotato attorno all'asse (B); a destra la scanalatura risultante sul solido (C).

Utilizzo

  1. Selezionare lo schizzo da ruotare.
    v0.17 e superiori In alternativa, è possibile utilizzare una faccia di un solido esistente.
    v0.16 e precedenti Lo schizzo deve essere mappato sulla faccia planare di un solido esistente o di una funzione di Part Design, altrimenti viene visualizzato un messaggio di errore .
  2. Premere il pulsante PartDesign Groove.png Scanalatura.
  3. Impostare i parametri della scanalatura (vedere la prossima sezione).
  4. Premere OK.

Opzioni

Quando si crea una scanalatura, i dialoghi Parametri Groove offrono diversi parametri che specificano come deve essere ruotato lo sketch.

Partdesign groove parameters it.png

Assi

Questa opzione specifica l'asse attorno al quale deve essere ruotato lo schizzo.

  • Vertical sketch axis: seleziona l'asse verticale dello schizzo.
  • Horizontal sketch axis: seleziona l'asse orizzontale dello schizzo.
  • Sketch axis: v0.16 e precedenti seleziona una linea di costruzione contenuta nello schizzo utilizzato da Scanalatura. La prima linea di costruzione creata nello schizzo viene etichettata come Sketch axis 0. L'elenco a discesa contiene un asse dello schizzo personalizzato per ogni linea di costruzione.
  • Construction line: v0.17 e superiore seleziona una linea di costruzione contenuta nello schizzo utilizzato da Scanalatura. L'elenco a discesa contiene una voce per ogni linea di costruzione. La prima linea di costruzione creata nello schizzo viene etichettata Construction line 1.
  • Base (X/Y/Z) axis: v0.17 e superiore seleziona l'asse X, Y o Z dell'origine del corpo;
  • Select reference...: v0.17 e superiore consente di selezionare nella vista 3D un bordo di un corpo o una linea di riferimento.

Angolo

Questa opzione specifica l'angolo di rotazione dello schizzo. Per ottenere una scanalatura completa occorre impostare un angolo di 360°. Non è possibile specificare angoli negativi (se è necessario usare l'opzione Invertito) o angoli maggiori di 360°.

Simmetrico al piano

La rivoluzione si estende per metà dell'angolo specificato in entrambe le direzioni rispetto al piano di schizzo.

Invertito

La direzione di rivoluzione viene invertita.

Proprietà

Sotto sono riportate le proprietà che possono essere definite dopo la creazione della funzione. Le proprietà Dati Base e Axis non sono editabili.

  • DATIAngle: angolo di rotazione. Vedere Angolo.
  • DATILabel: etichetta data all'operazione, può essere cambiata a piacere.
  • DATIMidplane: true o false. Vedere Simmetrica al piano.
  • DATIReversed: true o false. Vedere Invertita.
  • DATIRefine: v0.17 e successive true o false. Se impostato su true, pulisce il solido dai bordi residui lasciati dalle funzioni. Per maggiori dettagli vedere Affina forma.


Arrow-left.svg PartDesign Hole.png Foro Pagina precedente:
Pagina successiva: Loft sottrattivo PartDesign SubtractiveLoft.png Arrow-right.svg


Ambiente PartDesign: Strumenti di modifica

Arrow-left.svg PartDesign MultiTransform.png Multitrasformazione Pagina precedente:
Pagina successiva: Smusso PartDesign Chamfer.png Arrow-right.svg

PartDesign Fillet.svg Raccordo

Posizione nel menu
PartDesign → Raccordo
Ambiente
PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Raccordo


Descrizione

Questo strumento crea dei raccordi (arrotondamenti) sui bordi selezionati di un oggetto. Nella struttura del progetto viene creata una nuova voce Fillet (Raccordo), seguita da un numero sequenziale se nel documento esistono già altri raccordi.

Selezionare i bordi sull'oggetto prima di avviare lo strumento.
Impostare il raggio di raccordo nei parametri del raccordo.
Nella struttura del progetto viene aggiunto un oggetto Raccordo.

Utilizzo

  • Selezionare uno o più bordi di un oggetto, quindi avviare lo strumento facendo clic sulla sua icona o tramite il menu.
  • Nei Parametri Raccordo della finestra delle opzioni, impostare il raggio di raccordo inserendo il valore, o facendo clic sulle frecce su / giù. Il raccordo applicato viene mostrato in tempo reale.
  • Se si desidera aggiungere più bordi o facce, fare clic prima sul pulsante Aggiungi riferimento e quindi selezionare il bordo o la faccia.
  • Se si desidera rimuovere bordi o facce, fare clic sul pulsante 'Rimuovi riferimento' . Tutti i bordi e le facce precedentemente selezionati vengono evidenziati in viola. Selezionare il bordo o la faccia da rimuovere.
  • Premere OK per convalidare.
  • Per una catena di spigoli tangenti l'uno all'altro, può essere selezionato un bordo singolo, il raccordo si propaga lungo la catena.
  • Per modificare il raccordo dopo che la funzione è stata convalidata, fare doppio clic sull'etichetta del Raccordo nella struttura del progetto, oppure fare clic destro su di esso e selezionare Modifica Raccordo.

Raccordo di PartDesign e Raccordo di Part

Il Raccordo di PartDesign non deve essere confuso con il Raccordo dell'ambiente Parte. Anche se condividono la stessa icona, essi non sono uguali, e non sono utilizzati nello stesso modo. Ecco come si differenziano l'uno dall'altro:

  • Il Raccordo di PartDesign è parametrico. Il suo raggio può essere modificato anche dopo che il raccordo è stato applicato, ciò non è possibile con il Raccordo di Part.
  • Con il Raccordo di PartDesign si deve prima selezionare i bordi e poi attivare lo strumento. Con il Raccordo di Parte si può avviare lo strumento poi selezionare un oggetto e, infine, i bordi.
  • Il Raccordo PartDesign crea una voce Raccordo separata (seguita da un numero sequenziale se ci sono già raccordi esistenti) nella struttura del progetto. Il Raccordo Parte diventa il genitore dell'oggetto a cui è stato applicato.
  • Il Raccordo PartDesign offre un'anteprima in tempo reale del raccordo applicato all'oggetto prima di convalidare la funzione.
  • Il Raccordo Parte supporta la funzione raggio variabile (con un raggio di inizio e un raggio finale). Il Raccordo di PartDesign non ha questa possibilità.


Problemi noti

Raccordi, smussi e altre funzionalità che operano su corpi solidi dipendono dal kernel OpenCASCADE Technology (OCCT) sottostante utilizzato da FreeCAD. Occasionalmente il kernel OCCT ha difficoltà nel gestire gli spigoli coincidenti, dove si incontrano due facce. In questo caso, FreeCAD potrebbe bloccarsi senza una spiegazione.

Se eseguito dal terminale, FreeCAD può generare un registro come questo dopo l'arresto anomalo:

#1  0x7fff63d660ba in BRep_Tool::Curve(TopoDS_Edge const&, TopLoc_Location&, double&, double&) from /usr/lib/x86_64-linux-gnu/libTKBRep.so.7+0x2a
#2  0x7fff63d69546 in BRep_Tool::Curve(TopoDS_Edge const&, double&, double&) from /usr/lib/x86_64-linux-gnu/libTKBRep.so.7+0x46
#3  0x7fff71f4fef5 in ChFi3d_Builder::PerformIntersectionAtEnd(int) from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x3b05
#4  0x7fff71f58307 in ChFi3d_Builder::PerformOneCorner(int, bool) from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x1097
#5  0x7fff71ef6218 in ChFi3d_Builder::PerformFilletOnVertex(int) from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x4e8
#6  0x7fff71ef71d1 in ChFi3d_Builder::Compute() from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0xe31
#7  0x7fff720ad7c3 in BRepFilletAPI_MakeChamfer::Build() from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x33
#8  0x7fff723be48e in PartDesign::Chamfer::execute() from /usr/lib/freecad-daily/lib/_PartDesign.so+0x60e
...

Questo output fa riferimento a funzioni situate in libTKBRep.so, libTKFillet.so, ecc., che sono librerie OCCT. Se si verifica questo tipo di arresto anomalo, potrebbe essere necessario segnalare e risolvere il problema in OCCT anziché in FreeCAD.

Per maggiori informazioni vedere le discussioni del forum :

L'utente è anche responsabile dell'integrità del proprio modello. A seconda del modello, potrebbe essere impossibile eseguire un raccordo o uno smusso se il corpo non è abbastanza grande da supportare tale operazione. Ad esempio, non è possibile creare un raccordo da 10 mm se un bordo è separato di soli 5 mm dalla superficie successiva. In questo caso, il raggio massimo per un raccordo è 5 mm; tentare di usare un valore più grande può dare come risultato una forma che non può essere calcolata o anche un crash. Se l'utilizzo del limite esatto di 5 mm non funziona, potrebbe essere possibile utilizzare un'approssimazione molto ravvicinata, come 4.9999 mm, per ottenere lo stesso risultato visibile.

Denominazione topologica

I numeri che rappresentano i nomi dei bordi non sono completamente stabili, pertanto è consigliabile terminare il lavoro di modellazione principale del corpo solido prima di applicare funzioni come raccordi e smussi, altrimenti i bordi potrebbero cambiare nome e i bordi raccordati diventerebbero probabilmente non validi.

Read more in topological naming problem.

Script

Lo strumento Fillet può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

Box = Box.makeFillet(3,[Box.Edges[0]]) # 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
  • 3 = valore del raggio
  • Box.Edges[2] = lo spigolo con il suo numero identificativo


Esempio:

import PartDesign
from FreeCAD import Base

Box = Part.makeBox(10,10,10)
Box = Box.makeFillet(3,[Box.Edges[0]]) # pour 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Part.show(Box)
Arrow-left.svg PartDesign MultiTransform.png Multitrasformazione Pagina precedente:
Pagina successiva: Smusso PartDesign Chamfer.png Arrow-right.svg


Arrow-left.svg PartDesign Fillet.png Raccordo Pagina precedente:
Pagina successiva: Sformo PartDesign Draft.png Arrow-right.svg

PartDesign Chamfer.svg Smusso

Posizione nel menu
PartDesign → Smusso
Ambiente
PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
PartDesign → Raccordo,
Part → Smusso di Part


Descrizione

Questo strumento applica degli smussi (faccia piatta a 45 gradi verso entrambe le facce adiacenti) ai bordi di un oggetto selezionato. All'albero del Progetto viene aggiunto un nuovo elemento Chamfer (Smusso) (seguito da un numero sequenziale se non è il primo smusso creato nel documento).

Utilizzo

  • Selezionare uno o più spigoli, o una faccia su un oggetto, quindi avviare lo strumento facendo clic sul oulsante PartDesign Chamfer Smusso o usare PartDesignSmusso dal menu principale. Nel caso in cui sia selezionata una faccia lo smusso viene applicato a tutti i suoi bordi.
  • Nei Parametri smusso del pannello Azioni, impostare la dimensione dello smusso inserendo il valore o facendo clic sulle frecce su o giù. Lo smusso applicato è mostrato in tempo reale.
  • Se si desidera aggiungere altri bordi o facce, fare prima clic sul pulsante Aggiungi riferimento e quindi selezionare il bordo o la faccia.
  • Se si desidera rimuovere bordi o facce, fare clic sul pulsante Rimuovi riferimento. Tutti i bordi e le facce precedentemente selezionate sono evidenziati in viola. Selezionare il bordo o la faccia da rimuovere.
  • Fare click su OK per convalidare.
  • Per una catena di spigoli tangenti tra loro, è possibile selezionare un singolo bordo; lo smusso si propaga lungo la catena.
  • Per modificare lo smusso dopo che la funzione è stata convalidata, fare doppio clic sull'etichetta Smusso nella struttura del progetto, oppure fare clic con il pulsante destro del mouse su di essa e selezionare Modifica smusso.

Lo smusso di PartDesign e smusso di Parte

Lo smusso di PartDesign non deve essere confuso con lo smusso di Part. Anche se condividono la stessa icona, questi strumenti sono diversi e si utilizzano in modo diverso. Ecco alcune differenze:

  • Lo smusso dell'ambiente PartDesign è parametrico. Dopo l'applicazione di uno smusso, la sua dimensione può essere modificata, questo non è possibile con lo smusso dell'ambiente Parte.
  • Con lo smusso PartDesign i bordi devono essere selezionati prima di avviare lo strumento. Con lo smusso Parte, invece, si lancia prima lo strumento, poi si seleziona i solidi e infine i bordi.
  • Lo smusso dell'ambiente PartDesign aggiunge una voce distinta nell'albero del Progetto. Lo smusso dell'ambiente Parte diventa genitore dell'oggetto a cui è stato applicato.
  • Lo smusso dell'ambiente PartDesign visualizza una anteprima in tempo reale del risultato prima che la funzione sia convalidata.
  • Lo smusso Parte supporta le dimensioni variabili (con una dimensione iniziale e una dimensione finale). Lo smusso dell'ambiente PartDesign non lo consente.


Arrow-left.svg PartDesign Fillet.png Raccordo Pagina precedente:
Pagina successiva: Sformo PartDesign Draft.png Arrow-right.svg


Arrow-left.svg PartDesign Chamfer.png Smusso Pagina precedente:
Pagina successiva: Spessore PartDesign Thickness.png Arrow-right.svg

PartDesign Draft.svg Sformo

Posizione nel menu
PartDesign → Sformo
Ambiente
PartDesign
Avvio veloce
...
Introdotto nella versione
-
Vedere anche
...


Descrizione

Questo strumento crea uno sformo angolare (inclinazione delle facce) sulle facce selezionate di un oggetto. Nella struttura del progetto viene creata una nuova voce 'Draft indipendente, seguita da un numero sequenziale il documento contiene già altri elementi Draft.

Sono state inserite 2 facce ed è stato impostato uno sformo di 10 gradi. La parte inferiore è rimasta dimensionalmente stabile e lo sformo ha ridotto la parte superiore.
Il Piano Neutro (Neutral Plane) è stato spostato sulla faccia superiore. Ora il piano superiore è rimasto stabile mentre il piano inferiore è diventato più grande.
La Direzione di trascinamento (Pull direction) è impostata secondo lo spigolo inferiore destro e questo produce uno sformo verso sinistra.
Selezionando la casella Reverse pull Direction si è applicato uno sformo verso l'interno invece che verso l'esterno.

Utilizzo

  1. Selezionare una o più facce di un oggetto, quindi avviare lo strumento facendo clic sulla sua icona o nel menu.
  2. In Parametri di sformo della scheda Azioni, impostare i parametri richiesti e/o le opzioni come descritto di seguito.
  3. Fare clic su OK per confermare.
  • Per modificare lo sformo dopo la sua creazione, fare doppio clic sulla relativa voce nell'albero del Progetto, oppure fare clic con il tasto destro del mouse e selezionare Modifica sformo.



Parametri e Opzioni

Aggiungi faccia / Rimuovi faccia

Cliccare su Aggiungi faccia o su Rimuovi faccia, poi selezionare una faccia per aggiornare la lista delle facce attive. Se è necessario ripetere l'operazione.

Angolo di sformo

Impostare l'angolo di sformo inserendo il valore, o facendo clic sulle frecce su / giù. L'angolo di sformo applicato viene mostrato in tempo reale.

Piano neutro

Cliccare su Piano neutro poi selezionare il piano che non deve essere dimensionalmente modificato. La modifica viene mostrata in tempo reale.

Pull Direction

Fare clic su Pull direction (direzione di trascinamento), quindi selezionare un bordo. Pull Direction è efficace solo se è stato impostato il Piano neutro. I risultati possono essere imprevedibili.

Reverse Pull Direction

Selezionare Reverse pull direction per commutare tra positivo e negativo l'angolo dello sformo.




Casi particolari

Lo strumento Sformo funziona solo su facce che sono normali tra loro. Se ci sono delle facce tangenziali collegate alla faccia a cui si desidera applicare uno sformo, lo strumento non funziona. Spesso l'operazione di sformo fallisce perché si tenta di applicarla a una faccia a cui è già applicato un raccordo o uno smusso. In questo caso, rimuovere la superficie tangenziale, applicare lo sformo desiderato, poi riapplicare il raccordo o lo smusso.


Arrow-left.svg PartDesign Chamfer.png Smusso Pagina precedente:
Pagina successiva: Spessore PartDesign Thickness.png Arrow-right.svg


Ambiente PartDesign: Strumenti di trasformazione

Arrow-left.svg PartDesign SubtractiveWedge.pngCuneo sottrattivo Pagina precedente:
Pagina successiva: Schiera lineare PartDesign LinearPattern.png Arrow-right.svg

PartDesign Mirrored.svg Simmetria

Posizione nel menu
PartDesign → Simmetria
Ambiente
PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

Lo strumento Simmetria riflette una funzione su un piano. A partire da v0.17, è in grado di eseguire la riflessione di più funzioni.

PartDesign Mirrored example.svg

Sopra, a sinistra è stata creata una funzione Tasca da uno schizzo contenente un cerchio (A), poi la Tasca è stata utilizzata per creare una funzione Simmetria. Come asse di simmetria è stato utilizzato l'asse verticale dello schizzo (B). A destra è mostrato il risultato (C).

Utilizzo

  1. Selezionare le funzioni da rispecchiare. In alternativa, è possibile selezionare la funzione dal dialogo dopo il passaggio 2.
    v0.16 e precedenti È possibile selezionare solo una singola funzione e deve essere l'ultima nella parte inferiore dell'albero delle funzioni.
  2. Premere il pulsante PartDesign Mirrored.png Simmetria.
  3. v0.17 e superiori Premere Aggiungi funzione per aggiungere una funzione da riflettere. La funzione deve essere visibile nella vista 3D:
    1. Passare all'albero del modello;
    2. Selezionare nell'albero la funzione da aggiungere e premere spazio per renderla visibile nella vista 3D;
    3. Tornare al pannello Azioni;
    4. Selezionare la funzione nella vista 3D; essa viene aggiunta alla lista.
    5. Ripetere per aggiungere altre funzioni.
  4. v0.17 e superiori Premere Removi funzione per rimuovere una funzione dall'elenco o fare clic con il tasto destro del mouse sulla funzione nell'elenco e selezionare Rimuovi.
  5. Definire il piano di riflessione. Vedere le Opzioni.
  6. Premere OK.

Opzioni

Parametri della simmetria in v0.16 e precedenti.
Parametri della simmetria in v0.17 e successive.

Selezione del piano di riflessione

Quando si crea una operazione Simmetria, la finestra di dialogo Mirrored parameters (Parametri della simmetria) offre diversi modi per specificare la linea o il piano di riflessione.

Asse orizzontale dello sketch

Utilizza l'asse orizzontale dello schizzo come asse di simmetria.

Asse verticale dello sketch

Utilizza l'asse verticale dello schizzo come asse di simmetria.

Seleziona riferimento...

Consente di selezionare un piano (ad esempio una faccia di un oggetto) da utilizzare come piano di riflessione.

Asse creato nello Schizzo

Se lo schizzo che definisce la caratteristica da rispecchiare contiene anche una linea di costruzione (o più linee) l'elenco a discesa contiene un asse personalizzato per ognuna delle linee di costruzione presenti nello schizzo. La prima linea di costruzione è etichettata 'Sketch axis 0'.

PartDesign Mirrored axis fromconstructionlines.jpg

Piano di base XY/XZ/YZ

v0.17 e successive Seleziona uno dei piani standard dell'origine del corpo (XY, XZ o YZ).

Anteprima

Il risultato della funzione di simmetria può essere visualizzato in tempo reale, prima dell'esecuzione, attivando Aggiorna vista.


Limitazioni

  • v0.16 e precedenti Attualmente, solo l'ultima funzione nell'albero delle operazioni può essere scelta come 'originale' pertanto
    • non è possibile scegliere più di una operazione su cui applicare la simmetria
    • non è possibile scegliere più di una operazione da inserire nella lista degli 'originali'
  • v0.16 e precedenti Quando la funzione di simmetria è avviata o completata, non è più possibile sostituire la funzione originale con una diversa.
  • La funzione simmetria non può riflettere un intero corpo solido. Per questo, vedere Specchia di Part .
  • La funzione di simmetria deve intersecare il solido su cui si basa (chiamato anche "supporto"), altrimenti il comando fallisce.


Arrow-left.svg PartDesign SubtractiveWedge.pngCuneo sottrattivo Pagina precedente:
Pagina successiva: Schiera lineare PartDesign LinearPattern.png Arrow-right.svg


Arrow-left.svg PartDesign Mirrored.png Simmetria Pagina precedente:
Pagina successiva: Schiera polare PartDesign PolarPattern.png Arrow-right.svg

PartDesign LinearPattern.svg Schiera lineare

Posizione nel menu
PartDesign → Schiera lineare
Ambiente
PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Schiera polare


Descrizione

Lo strumento Schiera lineare crea copie equidistanti di una funzione in una direzione lineare. A partire da v0.17, è in grado di replicare più funzioni.

PartDesign LinearPattern example.svg

Sopra: un Pad a forma di L (B) creato su un pad di base (A, indicato anche come "supporto") è usato per produrre una schiera lineare. A destra viene mostrato il risultato (C).

Uso

  1. Selezionare le funzioni da modellare. In alternativa, è possibile selezionare la funzione da un dialogo dopo il passaggio 2.
    v0.16 e precedenti È possibile selezionare solo una singola funzione e deve essere l'ultima nella parte inferiore dell'albero delle funzioni.
  2. Premere il pulsante PartDesign LinearPattern.png Schiera lineare.
  3. v0.17 e superiore Premere Aggiungi funzione per aggiungere una funzione da modellare. La funzione deve essere visibile nella vista 3D:
    1. Passare all'albero del modello;
    2. Selezionare nell'albero la funzione da aggiungere e premere spazio per renderla visibile nella vista 3D;
    3. Tornare al pannello Azioni;
    4. Selezionare la funzione nella vista 3D; essa viene aggiunta alla lista.
    5. Ripetere per aggiungere altre funzioni.
  4. v0.17 e superiore Premere Rimuovi funzione per rimuovere una funzione dall'elenco o fare clic con il tasto destro del mouse sulla funzione nell'elenco e selezionare "Rimuovi".
  5. Definire la Direzione. Vedere le Opzioni.
  6. Definire la lunghezza (distanza) tra l'ultima occorrenza copiata e la funzione originale.
  7. Impostare il numero di occorrenze.
  8. Premere OK .

Opzioni

Parametri LinearPattern in v0.16 e precedenti.
Parametri LinearPattern in v0.17 e successive.

Direzione

Quando si crea una funzione di schiera lineare, il dialogo Parametri LinearPattern offre diversi modi per specificare la direzione del pattern.

Asse orizzontale dello schizzo

Usa l'asse orizzontale dello schizzo per la direzione.

Asse verticale dello schizzo

Usa l'asse verticale dello schizzo per la direzione.

Asse normale allo schizzo

v0.17 e superiori Usa l'asse normale dello schizzo per la direzione.

Seleziona riferimento...

Consente di selezionare una linea di riferimento, DatumLine, o un bordo di un oggetto o una linea di uno schizzo da utilizzare per la direzione.

Asse di schizzo personalizzato

Se lo schizzo che definisce la funzione da modellare contiene anche una linea di costruzione (o linee), l'elenco a discesa contiene un asse dello schizzo personalizzato per ogni linea di costruzione. La prima linea di costruzione è etichettata come "Schizzo asse 0".

Asse Base (X/Y/Z)

v0.17 e superiore Seleziona uno degli assi standard di Origine del Corpo (X, Y o Z) come direzione.


Limitazioni

  • Le forme della schiera non possono sovrapporsi l'un l'altra ad eccezione del caso particolare di due sole forme (l'originale più una copia)
  • Qualsiasi forma della schiera che non si sovrapponga con il supporto dell'originale viene esclusa. Questo assicura che qualsiasi oggetto di Progettazione Parte (PartDesign) è sempre costituito da un unico solido collegato
  • Funziona solo con gli strumenti additivi e sottrattivi. Gli strumenti di trasformazione, gli strumenti di vestizione e le operazioni booleane non sono supportati.
  • Per altre limitazioni, vedere la funzione Simmetria


Arrow-left.svg PartDesign Mirrored.png Simmetria Pagina precedente:
Pagina successiva: Schiera polare PartDesign PolarPattern.png Arrow-right.svg


Arrow-left.svg PartDesign LinearPattern.png Schiera lineare Pagina precedente:
Pagina successiva: Multitrasformazione PartDesign MultiTransform.png Arrow-right.svg

PartDesign PolarPattern.svg Schiera polare

Posizione nel menu
PartDesign → Schiera polare
Ambiente
PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Schiera lineare


Descrizione

Lo strumento schiera polare prende una funzione selezionata e ne crea una serie di copie ruotate attorno a un asse prescelto. A partire da v0.17, è in grado di replicare più funzioni.

PartDesign PolarPattern example.png

Sopra: una tasca a forma di slot (B) realizzata sopra un solido di base (A, indicato anche come supporto) viene utilizzata per un modello polare. Il risultato (C) è mostrato a destra.

Utilizzo

  1. Selezionare le funzioni da replicare. In alternativa, è possibile selezionare la funzione da un dialogo dopo il passaggio 2.
    v0.16 e successive È possibile selezionare solo una singola funzione e deve essere l'ultima nella parte inferiore dell'albero delle funzioni.
  2. Premere il pulsante PartDesign PolarPattern.png Schiera polare.
  3. v0.17 e successive Premere Aggiungi funzione per aggiungere una funzione da modellare. La funzione deve essere visibile nella vista 3D:
    1. Passare all'albero del modello;
    2. Selezionare nell'albero la funzione da aggiungere e premere la barra spaziatrice per renderla visibile nella vista 3D;
    3. Tornare al pannello Azioni;
    4. Selezionare la funzione nella vista 3D; essa viene aggiunta alla lista.
    5. Ripetere per aggiungere altre funzioni.
  4. v0.17 e successive Premere Rimuovi funzione per rimuovere una funzione dall'elenco o fare clic con il tasto destro del mouse sulla funzione nell'elenco e selezionare Rimuovi.
  5. Definire l'asse. Vedere le Opzioni.
  6. Definire l'angolo tra l'ultima occorrenza copiata e la funzione originale.
  7. Impostare il numero di occorrenze.
  8. Premere OK.

Opzioni

Polarpattern parameters.png

Asse

Durante la creazione di una funzione di schiera polare, il dialogo 'Parametri schiera polare' offre modi diversi per specificare l'asse di rotazione del modello.

Asse normale dello schizzo

Come asse della schiera viene preso un asse essendo perpendicolare al disegno e posto nell'origine del disegno.
La direzione della schiera può essere invertita barrando 'direzione inversa'.

Asse orizzontale dello schizzo

Usa l'asse orizzontale dello schizzo per l'asse.

Asse verticale dello schizzo

Usa l'asse verticale dello schizzo per l'asse.

Asse di schizzo personalizzato

Se lo schizzo che definisce la funzione da modellare contiene anche una linea di costruzione (o linee), l'elenco a discesa contiene un asse dello schizzo personalizzato per ogni linea di costruzione. La prima linea di costruzione è etichettata come "Schizzo asse 0".

Asse Base (X/Y/Z)

v0.17 e superiore Seleziona uno degli assi standard di Origine del Corpo (X, Y o Z) come asse.

Seleziona riferimento...

Consente di selezionare una linea di riferimento, DatumLine, o un bordo di un oggetto o una linea di uno schizzo da utilizzare per l'asse.

Angolo e numero di duplicati

Specifica l'angolo da coprire con la schiera e il numero totale di forme della schiera (inclusa la forma originale). Per esempio, la combinazione quattro copie in un angolo di 180 gradi produce una spaziatura di 60 gradi tra ogni copia. C'è una eccezione: quando l'angolo è di 360 gradi e la prima e l'ultima copia sono identiche, vengono prodotte quattro copie distanziate 90 gradi.

Limitazioni


Arrow-left.svg PartDesign LinearPattern.png Schiera lineare Pagina precedente:
Pagina successiva: Multitrasformazione PartDesign MultiTransform.png Arrow-right.svg


PartDesign Scaled.svg Scala

Posizione nel menu
PartDesign → Multitrasformazione
Ambiente
PartDesign, Completo
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Lo strumento Scala prende come input un insieme di una o più operazioni selezionate ('gli originali') e li scala per un determinato fattore. Poiché la scalatura avviene attorno al centro di gravità delle operazioni selezionate, di solito gli originali scompaiono all'interno delle versioni in scala. Pertanto, in genere è utile solo per effettuare il ridimensionamento come parte di una operazione di Multi-trasformazione.

'Scale features' - This tool takes a set of one or more selected features as its input (the 'originals'), and scales them by a given factor. Since the scaling takes place around the centre of gravity of the selected features, they usually disappear inside the scaled versions. Therefore, normally it is only useful to use scaling as part of the MultiTransform feature.

Nota

A partire da FreeCAD 0.15, questa funzione non è disponibile direttamente, ma è inclusa come componente di Multitrasformazione.

Opzioni

Scaled parameters.png

Quando si crea una operazione Scala, la finestra di dialogo Parametri della scalatura offre le seguenti opzioni:

Selezionare gli originali

La finestra Vista combinata mostra lista delle operazioni (oggetti) "originali" che devono essere scalati. Fare clic su una operazione per aggiungerla alla lista.

Fattore di scala e numero di copie

Factor e Occurrences specificano rispettivamente il fattore di scala massimo e il numero totale di forme scalate (inclusa l'originale) che si vuole ottenere.


Limitazioni

  • La scalatura avviene sempre utilizzando il centro di gravità delle operazioni come punto base.
  • La trasformazione di scalatura non deve essere la prima della lista
  • La trasformazione di scalatura deve avere lo stesso numero di occorrenze della trasformazione immediatamente precedente nella lista
  • Vedere la funzione Schiera lineare per altre limitazioni
  • Vedere le MultiTrasformazioni per maggiori dettagli

Esempi

c

Il pad più piccolo è stato riprodotto tre volte in direzione X e poi scalato con un fattore due (così le tre occorrenze hanno il fattore di scala 1.0, 1.5 e 2.0). Poi è stata applicata una schiera polare con 8 occorrenze.

Poiché la scalatura viene eseguita rispetto al centro di gravità, nel caso di un Pad, è necessario che il pad penetri anche nel corpo principale, altrimenti gli oggetti scalati sono flottanti, staccati dal corpo. Per avere un pad che interseca il corpo principale possono essere utilizzate le opzioni "due dimensioni" o "simmetrica al piano".


Arrow-left.svg PartDesign PolarPattern.png Schiera polare Pagina precedente:
Pagina successiva: Raccordo PartDesign Fillet.png Arrow-right.svg

PartDesign MultiTransform.svg MultiTrasformazione

Posizione nel menu
PartDesign → MultiTrasformazione
Ambiente
PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Introduzione

Crea una combinazioni di trasformazioni - Lo strumento PartDesign MultiTransform.png Multitrasformazione utilizza una (o una serie di) funzioni come input e consente all'utente di applicare progressivamente più trasformazioni a tale funzione (o set di funzioni), in sequenza, creando una trasformazione combinata o composta.


Ad esempio, per produrre la flangia con una doppia fila di fori come mostrato di seguito:

  1. selezionare il foro come funzione (base) nella struttura del modello
  2. cliccare sull'icona PartDesign MultiTransform.png Multitrasformazione
  3. aggiugere una serie lineare con due occorrenze nella direzione X.
  4. aggiungere una serie polare con otto occorrenze attorno all'asse Y.

Multitransform example.png

Flangia con doppia fila di fori. Serie di fori creati con lo strumento 'Multitrasformazione'.


Usage

Prima di iniziare uno dei metodi seguenti, assicurarsi che l'oggetto PartDesign Body.png Corpo necessario sia attivo; in caso contrario, riceve un messaggio pop-up di errore che indica che è necessario un oggetto PartDesign Body.png Corpo attivo prima di usare lo strumento PartDesign MultiTransform.png Multitrasformazione.

Metodo standard

Questo metodo inizia senza funzioni di trasformazione esistenti e senza selezioni nella finestra o nella struttura del modello.
Quando questo metodo è completato l'oggetto PartDesign MultiTransform.png Multitrasformazione dovrebbe diventare correttamente la "Punta" dell'oggetto Body.

  1. Cliccare sull'icona PartDesign MultiTransform.png Multitrasformazione per avviare l'operazione
  2. Si apre la finestra per selezionare la funzione.
    Dall'elenco, selezionare una funzione iniziale da utilizzare per le trasformazioni e fare clic su OK per procedere.
    È possibile aggiungere funzionià aggiuntive nel passaggio successivo.
    PartDesign-MultiTransform-Select feature.png
  3. Vengono visualizzate le finestre Transformed features message e MultiTransform Parameters.
    Si vede l'etichetta della funzione selezionata nella vista Elenco funzioni, sotto i pulsanti Aggiungi funzione e Rimuovi funzione.
    PartDesign-MultiTransform-General.png

    Se si desidera includere funzionalità aggiuntive per le trasformazioni, seguire queste istruzioni:
    1. Cliccare su Aggiungi funzione
    2. Passare alla vista ad albero del modello (fare clic sulla scheda Modello)
    3. Selezionare la funzione che si desidera aggiungere e renderla visibile (barra spaziatrice, o clic con il pulsante destro del mouse e attiva la visibilità).
      Nota: Ciò nasconde la funzione precedentemente visibile.
    4. Fare clic su qualsiasi cosa nella vista 3D.
    5. Fare clic sulla scheda Azioni nella vista combinata per tornare alla finestra Parametri MultiTransform.
    6. Si deve vedere l'etichetta della funzione selezionata di recente nell'elenco delle funzioni.
  4. Sotto la vista dell'elenco delle caratteristiche è presente la vista dell'elenco Trasformazioni. All'interno si deve vedere il testo, "Fare clic destro per aggiungere".
  5. Aggiungere una trasformazione facendo clic con il pulsante destro del mouse nella vista elenco Trasformazioni per visualizzare l'elenco delle opzioni.
    PartDesign-MultiTransform-Transformations Right Click.png
    1. Aggiungere la trasformazione desiderata selezionandola nell'elenco delle opzioni.
    2. La nuova voce di trasformazione viene visualizzata nell'elenco Trasformazioni con le impostazioni corrispondenti visualizzate sotto l'elenco.
      PartDesign-MultiTransform-Transformations-add linear pattern.png
    3. Regolare le impostazioni per la nuova trasformazione. (Si vede l'anteprima nella finestra.)
    4. Fare clic sul pulsante OK sotto queste impostazioni per salvare la nuova trasformazione.
  6. Continuare ad aggiungere trasformazioni nell'ordine in cui si desidera applicarle utilizzando il passaggio 5 precedente.
  7. È inoltre possibile modificare, eliminare e spostare (modificare l'ordine delle) trasformazioni secondo necessità facendo clic con il pulsante destro del mouse su una trasformazione nell'elenco "Trasformazioni" e selezionando l'opzione corrispondente.
  8. Quando si ha finito di aggiungere e modificare le trasformazioni, fare clic sul pulsante OK in alto per salvare la Multitrasformazione e uscire.

Metodo alternativo 1

Questo metodo inizia con una funzione di trasformazione esistente in oggetto PartDesign Body.png Corpo.

  1. Nella struttura del modello, all'interno dell'oggetto Body attivo, selezionare la trasformazione esistente da includere.
  2. Cliccare sull'icona PartDesign MultiTransform.png Multitrasformazione per avviare l'operazione.
  3. Nella vista Elenco funzioni, si vedono le etichette delle funzioni di trasformazione esistenti incluse.
    Per aggiungere altre funzioni, vedere al passaggio 3 del Metodo standard above.
  4. Sotto la vista dell'elenco delle funzioni è presente la vista dell'elenco Trasformazioni. All'interno si vede l'etichetta della trasformazione esistente inclusa.
  5. Terminare usando passaggi 5-8 del Metodo standard precedente.

Quando viene avviata e completata in questo modo, la PartDesign MultiTransform.png Multitrasformazione di solito non riesce a diventare la "Punta" dell'oggetto Corpo. Per correggere questo:

  1. Fare clic con il tasto destro del mouse sul nuovo oggetto PartDesign MultiTransform.png Multitrasformazione.
  2. Scegliere "Usa come entità finale".

Metodo alternativo 2

Questo metodo inizia con più funzioni di trasformazioni indipendenti esistenti nell'oggetto PartDesign Body.png Corpo - con l'idea di combinarli. NOTA: per combinare delle trasformazioni esistenti, esse devono trovarsi all'interno dello stesso oggetto Corpo e dovrebbero usare tutte la stessa funzione o set di funzioni.

  1. Nell'albero del modello, all'interno dell'oggetto Corpo attivo, selezionare una delle trasformazioni esistenti tra quelle che si desidera includere.
  2. Cliccre sull'icona PartDesign MultiTransform.png Multitrasformazione per avviare l'operazione.
  3. Cliccare sul pulsante OK per salvare e uscire.
  4. Nell'albero degli oggetti selezionare il nuovo oggetto PartDesign MultiTransform.png Multitrasformazione.
  5. Nella finestra Proprietà, individuare la proprietà "Trasformazioni" nella scheda "Dati".
  6. Modificare la proprietà Trasformazioni facendo clic sul suo valore, quindi fare clic sulla casella dell'ellisse visualizzata per aprire la finestra Collegamenti per questa proprietà.
  7. Selezionare tutte le trasformazioni esistenti che devono essere incluse. Selezioni multiple sono consentite usando Ctrl-Clic.
  8. Cliccare su OK per salvare e chiudere la finestra Collegamenti.
  9. Cliccare sul pulsante Std Refresh.png Aggiorna se è attivo.

Quando viene avviata e completata in questo modo, la PartDesign MultiTransform.png Multitrasformazione potrebbe non diventare la "Punta" dell'oggetto Body. Se è necessario che sia la "Punta":

  1. Fare clic con il tasto destro del mouse sul nuovo oggetto PartDesign MultiTransform.png Multitrasformazione.
  2. Scegliere "Usa come entità finale".

Note d'uso

  • Trasformazioni di funzioni supportate sono: PartDesign Mirrored.png Specchiato, PartDesign LinearPattern.png Serie lineare, PartDesign PolarPattern.png Serie polare, e la Scalatura.
  • Ogni trasformazione legata alla PartDesign MultiTransform.png Multitrasformazione deve utilizzare la stessa funzione o set di funzioni in ciascuna di esse.

Limitazioni

  • Una trasformazione di scala non dovrebbe essere la prima della lista
  • La trasformazione di scala deve avere lo stesso numero di occorrenze della trasformazione immediatamente precedente nella lista
  • Vedere la funzione PartDesign LinearPattern.png Schiera lineare per altre limitazioni


Opzioni

Partdesign Multitransfrom parameters it.png

Quando si crea una operazione di MultiTrasformazione, la finestra di dialogo Parametri MultiTrasformazione mostra due elenchi in campi diversi (Originali e Trasformazioni).

Selezionare gli originali

La finestra Vista combinata mostra la lista delle operazioni (oggetti) originali che devono essere trasformati. Fare clic su una operazione per aggiungerla alla lista.

Selezionare le trasformazioni

In questo elenco si possono inserire delle combinazioni di trasformazioni semplici quali simmetria, schiera lineare, schiera polare e scalatura. Le trasformazioni saranno applicate nell'ordine una dopo l'altra. Il menu di scelta rapida offre le seguenti voci:

Modifica

Permette di modificare i parametri di una trasformazione nella lista (un doppio clic produce lo stesso effetto)

Elimina

Rimuove una trasformazione dalla lista

Aggiungi trasformazione

Aggiunge una trasformazione alla lista

Sposta su o giù

Permette di cambiare l'ordine delle trasformazioni nella lista


Esempi

c

Il blocco più piccolo viene prima modellato tre volte in direzione X e poi scalato per un fattore due (in modo che alle tre occorrenze venga applicato il fattore di scala 1.0, 1.5 e 2.0). In seguito viene eseguita una schiera polare con 8 occorrenze.

c

Lo scavo viene prima riflesso sul piano YZ e poi si applicano due trasformazioni di schiera lineare per produrre una schiera rettangolare.


Arrow-left.svg PartDesign PolarPattern.png Schiera polare Pagina precedente:
Pagina successiva: Raccordo PartDesign Fillet.png Arrow-right.svg


Ambiente PartDesign: Altri strumenti e strumenti non documentati

Sezione in costruzione


Questa sezione elenca una serie di comandi che non sono ancora inclusi in questo documento. Alcuni di questi strumenti sono recenti o sono in fase di sviluppo. Per avere maggiori informazioni consultare la Guida in linea o visitare il forum



Altre lingue: {{}}